[-]
[+]
|
Added |
mysql-proxy.changes
|
|
[-]
[+]
|
Changed |
mysql-proxy.spec
^
|
|
[-]
[+]
|
Deleted |
mysql-proxy-0.8.1-default-plugindir-arch.patch
^
|
@@ -1,28 +0,0 @@
---- src/chassis-frontend.c.orig 2011-07-14 10:55:39.022110431 +0200
-+++ src/chassis-frontend.c 2011-07-14 11:06:05.914648376 +0200
-@@ -320,8 +320,12 @@
- #ifdef WIN32
- plugin_dir = g_build_filename(base_dir, "bin", NULL);
- #else
-+#if defined(__64BIT__)
-+ plugin_dir = g_build_filename(base_dir, "lib64", PACKAGE, "plugins", NULL);
-+#else
- plugin_dir = g_build_filename(base_dir, "lib", PACKAGE, "plugins", NULL);
- #endif
-+#endif
-
- *_plugin_dir = plugin_dir;
-
-@@ -337,8 +341,12 @@
- #ifdef WIN32
- #define G_MODULE_PREFIX "plugin-" /* we build the plugins with a prefix on win32 to avoid name-clashing in bin/ */
- #else
-+#if defined(__64BIT__)
-+#define G_MODULE_PREFIX "lib64"
-+#else
- #define G_MODULE_PREFIX "lib"
- #endif
-+#endif
- /* we have to hack around some glib distributions that
- * don't set the correct G_MODULE_SUFFIX, notably MacPorts
- */
|
|
Deleted |
mysql-proxy-0.7.2.tar.bz2
^
|
[-]
[+]
|
Added |
mysql-proxy.init
^
|
@@ -0,0 +1,85 @@
+#! /bin/sh
+# Copyright (c) 2007 Novell Inc / SUSE Linux AG, Nuernberg, Germany.
+# All rights reserved.
+#
+# Author: Peter Poeml <poeml@suse.de>
+#
+### BEGIN INIT INFO
+# Provides: mysql-proxy
+# Required-Start: $local_fs $remote_fs $network
+# Should-Start: $named $time amavis
+# Required-Stop: $local_fs $remote_fs $network
+# Should-Stop: $named $time
+# Default-Start: 3 5
+# Default-Stop: 0 1 2 6
+# Short-Description: MySQL Proxy
+# Description: Start the MySQL Proxy
+### END INIT INFO
+
+if [ -s /etc/sysconfig/mysql-proxy ]; then
+
+ . /etc/sysconfig/mysql-proxy
+fi
+
+: ${MYSQL_PROXY_BIN:=/usr/bin/mysql-proxy}
+: ${MYSQL_PROXY_PID:=/var/run/mysql-proxy/mysql-proxy.pid}
+if [ $MYSQL_PROXY_PID = /var/run/mysql-proxy.pid ]; then
+ # old path. Not writable by mysql-proxy user though.
+ echo "Your /etc/sysconfig/mysql-proxy still references /var/run/mysql-proxy.pid. Please update it to use /var/run/mysql-proxy/mysql-proxy.pid. " >&2
+ MYSQL_PROXY_PID=/var/run/mysql-proxy/mysql-proxy.pid
+fi
+
+: ${MYSQL_PROXY_LUA_PATH:=/usr/share/mysql-proxy/?.lua}
+export LUA_PATH="$MYSQL_PROXY_LUA_PATH"
+
+. /etc/rc.status
+rc_reset
+
+case "$1" in
+ start)
+ echo -n "Starting service MySQL Proxy"
+ startproc -u mysql-proxy -g mysql-proxy -p $MYSQL_PROXY_PID $MYSQL_PROXY_BIN --daemon --pid-file $MYSQL_PROXY_PID $MYSQL_PROXY_ARGS
+ rc_status -v
+ ;;
+ stop)
+ echo -n "Shutting down service MySQL Proxy"
+ killproc -p $MYSQL_PROXY_PID -TERM $MYSQL_PROXY_BIN
+ rc_status -v
+ ;;
+ try-restart)
+ ## Do a restart only if the service was active before.
+ ## Note: try-restart is now part of LSB (as of 1.9).
+ ## RH has a similar command named condrestart.
+ $0 status
+ if test $? = 0; then
+ $0 restart
+ else
+ rc_reset # Not running is not a failure.
+ fi
+ # Remember status and be quiet
+ rc_status
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ rc_status
+ ;;
+ reload|force-reload)
+ echo -n "Reload service MySQL Proxy"
+ kill -HUP `cat $MYSQL_PROXY_PID* 2>/dev/null` 2> /dev/null || true
+ rc_status -v
+ ;;
+ status)
+ echo -n "Checking for service MySQL Proxy: "
+ checkproc -p $MYSQL_PROXY_PID $MYSQL_PROXY_BIN
+ rc_status -v
+ ;;
+ probe)
+ test /etc/sysconfig/mysql-proxy -nt $MYSQL_PROXY_PID \
+ && echo reload
+ ;;
+ *)
+ echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}"
+ exit 1
+esac
+rc_exit
|
[-]
[+]
|
Added |
mysql-proxy.sysconfig
^
|
@@ -0,0 +1,25 @@
+## Path: Network/mysql-proxy
+## Description: MySQl Proxy configuration
+
+## Type: string
+## Default: "--daemon"
+## ServiceRestart: mysql-proxy
+#
+# Command line arguments to hand over to mysql-proxy
+# Normally: --daemon (run as background daemon)
+#
+MYSQL_PROXY_ARGS="--plugin-dir=/usr/%LIB%/mysql-proxy/plugins --proxy-lua-script /usr/share/doc/packages/mysql-proxy/examples/tutorial-basic.lua"
+
+## Type: string
+## Default: "/var/run/mysql-proxy.pid"
+#
+# Location of pid file
+#
+MYSQL_PROXY_PID="/var/run/mysql-proxy/mysql-proxy.pid"
+
+## Type: string
+## Default: "/usr/%LIB%/mysql-proxy/lua"
+#
+# Location of lua scripts
+#
+MYSQL_PROXY_LUA_PATH="/usr/%LIB%/mysql-proxy/lua"
|